package com.liquidnet.service.smile.entity.dto;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class VolunteersExportDto implements Serializable, Cloneable {
    private String mid;
    private String img;
    private String name;
    private String idCard;
    private String sex;
    private String nation;
    private String status;
    private String school;
    private String schoolAddress;
    private String phone;
    private String projectName;
    private LocalDateTime createdAt;
    private String specialty;
    private String specialty2;
    private String team1;
    private String team2;
    private String team3;
    private String teamAudit;
    private String introduce;

    private static final VolunteersExportDto obj = new VolunteersExportDto();

    public static VolunteersExportDto getNew() {
        try {
            return (VolunteersExportDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new VolunteersExportDto();
    }

}
